2008/11/17 13:52:19  phil
Released as v2.3.2.


2008/11/16 17:04:59  phil
The default lexer is now SCLEX_CONTAINER rather than SCLEX_NULL.


2008/11/14 13:40:36  phil
The XML lexer now styles embedded scripts properly.  (An API call to disable
this will be added in a future version.)


2008/11/14 12:17:54  phil
Fixed a regression in measuring character widths introduced when fixing the
problem with kerned fonts.


2008/11/08 12:07:58  phil
Released as v2.3.1.


2008/11/08 11:45:06  phil
Added QsciScintilla::wordAtPoint() based on a patch from Andrea Battisti.


2008/11/07 15:05:35  phil
Changing the current lexer while text is displayed should now be handled
properly.  (However the XML lexer seems buggy in this regard.)


2008/11/07 11:11:25  phil
Fixed a bug in the calculation of character positions when kerning was in
effect.  This cause the caret to be displayed too far to the right.


2008/11/01 19:28:27  phil
Updated the NEWS file.


2008/10/21 22:36:50  phil
Updated German translations from Detlev.


2008/10/20 20:12:12  phil
Updated the QScintilla API to accomodate changes in Scintilla v1.77.


2008/10/20 17:21:44  phil
Initial merge of Scintilla 1.77.


2008/10/12 17:16:13  phil
Applied a patch from Detlev that fixes issues with the document modification
notification and setting different fold margins.


2008/10/12 16:35:19  phil
Added the read() and write() methods to QsciScintilla in anticipation of PyQt
dropping support for QStrings.  This will allow file to be read and written
while keeping the number of conversions to the minimum.


2008/10/12 14:32:05  phil
QsciScintilla::setSelection() is now implemented using SCI_SETSEL so that the
carat can be left at either the start or the end of the selection.
Exposed QsciScintilla::positionFromLineIndex() and
QsciScintilla::lineIndexFromPosition().


2008/10/04 17:37:59  phil
The modified status of a document is now maintained on a per document basis
rather than a per editor basis.


2008/10/02 18:17:35  phil
Added 'with' to the list of keywords in the Python lexer for Python v2.6.


2008/09/20 15:28:22  phil
Released as v2.3.


2008/09/17 15:46:16  phil
Added QsciScintilla::apiContext() for further open up the auto-completion and
call tips support.


2008/09/16 16:37:00  phil
Added the API file for Python v2.6rc1.
Fixed a typo in the help for the Python bindings configure.py.


2008/09/03  9:18:31  phil
Updated the i18n .ts files.


2008/09/01 23:52:46  phil
Updated the Windows installation notes to cover the need to manually install
the DLL when using Qt3.


2008/09/01 23:07:05  phil
Fixed a regression in the highlighting of call tip arguments.
Updated the Windows installation notes to say that any header files installed
from a previous build should first be removed.


2008/08/31 18:41:08  phil
Added the QsciAbstractAPIs class to allow applications to provide their own
implementation of APIs.


2008/08/31 13:31:21  phil
Merged the v2.2 maintenance branch.


2008/08/31 13:13:45  phil
Updated German translations from Detlev.


2008/08/17 18:10:46  phil
Added the QsciLexerYAML class.


2008/08/17 17:30:04  phil
The fold margin can now be specified by an extra argument to
QsciScintilla::setFolding().


2008/08/17 16:54:05  phil
Implemented autoCompletionWordSeparators() for QsciLexerPerl and QsciLexerLua.


2008/08/17 15:52:36  phil
User lists can now handle entries with embedded spaces.
Updated German translations from Detlev.


2008/08/16 17:43:17  phil
Added the QsciLexerXML class.


2008/08/16 16:01:05  phil
Added the QsciLexerPostScript class.
Updated German translations from Detlev.


2008/08/10 18:54:46  phil
Added the QsciLexerPascal class.


2008/08/10 17:45:53  phil
Added the QsciLexerFortran77 and QsciLexerFortran classes.


2008/07/03 13:25:47  phil
Updated the Windows installation instructions for Qt3.
Backed out the use of version numbers on Windows because it breaks
compatibility with Qt3.  (It may go back for Qt4 if that proves not to be a
problem.)


2008/06/19 17:42:53  phil
Added the DLL metadata for Windows.


2008/06/16 20:53:40  phil
Added support for the new Scintilla 1.76 features and lexers.


2008/06/16 20:25:34  phil
Merged Scintilla v1.76.


2008/06/10 14:19:21  phil
Fixed a configuration problem with the Python bindings when building against a
Windows DLL of QScintilla.


2008/06/07 13:55:24  phil
Fixed a regression in macro recording.


2008/03/09 10:22:54  phil
Fixed the doxygen configuration file for Qt4.


2008/03/06 20:40:26  phil
Updated German translations from Detlev.


2008/03/06 12:09:18  phil
By default build with (possibly over-aggressive) assertions disabled.


2008/03/05  9:37:38  phil
Updated the doxygen configuration to remove some warnings.


2008/03/04 23:12:39  phil
Added the QsciLexerTCL class.


2008/02/27 19:47:39  phil
Updated the licenses to be in line with the the current Qt licenses, including
GPL v3.
Released as v2.2.


2008/02/23 13:48:11  phil
Switched to Qt v4.3.4.
Further tweaks for Windows64 support.


2008/02/22 10:35:36  phil
Several fixes for Windows64 support based on a patch from Randall Frank.


2008/02/09 14:17:57  phil
It's no longer necessary to set DYLD_LIBRARY_PATH when using the Python
bindings.


2008/02/03 22:05:12  phil
Added the missing QsciLexerRuby.Error to the Python bindings.


2008/01/20 17:04:08  phil
Fixed a problem with the Qt4 Designer plugin on Leopard.


2008/01/11 18:59:28  phil
Hopefully fixed shortcuts and accelerators when the autocompletion list is
displayed.


2008/01/06  0:03:39  phil
Hopefully fixed a bug stopping normal typing when the autocompletion list is
being displayed.


2008/01/03 19:20:41  phil
Fixed a Qt3 compilation bug.
Updated the copyright notices.


2007/12/30 16:52:51  phil
Hopefully fixed the problems with the auto-completion popup on all platforms
(not tested on Mac).


2007/12/29 17:23:12  phil
Remove the use of the internal Tooltip widget flag so that the X11
auto-completion list now has the same problems as the Windows version.  (Prior
to fixing the problem properly.)


2007/12/23 14:24:02  phil
Fixed DND problems with Qt4.


2007/12/23 10:40:52  phil
Fix from Detlev for an infinite loop caused by calling getCursorPosition() when
Scintilla reports a position past the end of the text.


2007/12/05 19:39:59  phil
Fixed a silly typo in the updated Perl lexer.


2007/12/05 19:35:37  phil
Updated German translations from Detlev.


2007/12/05 17:23:12  phil
Switched the internal build system to Qt v4.3.3.


2007/12/04 10:53:18  phil
Updated the translation source files.


2007/12/04 10:51:45  phil
Merged Scintilla v1.75.


2007/11/17 17:34:39  phil
Bug fixes for selectAll() and getCursorPosition() from Baz Walter.


2007/10/24 14:05:30  phil
Fixed folding for HTML.


2007/10/14 18:24:32  phil
Control characters that are not bound to commands (or shortcuts) now default to
doing nothing (rather than inserting the character into the text).
Aligned the GPL license with Trolltech's exceptions.


2007/10/12 18:45:19  phil
Fixed the Scintilla HTML lexer's handling of characters >= 0x80.


2007/10/05  9:31:12  phil
Used NoSystemBackground rather than OpaquePaintEvent to eliminate flicker.


2007/10/04 21:19:01  phil
Fixed a flashing effect visible with a non-standard background.
Switched to Qt v4.3.2.


2007/09/23 13:16:30  phil
Made the recent portabilty changes Mac specific as AIX has a problem with them.


2007/09/16 11:29:29  phil
A lexer's default colour, paper and font are now written to and read from the
settings.


2007/09/15 17:42:23  phil
Fixed the MacOS build problems when using the binary installer version of Qt.


2007/09/15 17:12:26  phil
Added the missing WaitMouseMoved() implementation on MacOS.


2007/09/10 22:31:53  phil
QsciScintilla::setFont() now calls QWidget::setFont() so that font() returns
the expected value.


2007/09/02 16:01:31  phil
Fixed problems which the font size of STYLE_DEFAULT not being updated when the
font of style 0 was changed.  Hopefully this fixes the problems with edge
columns and indentation guides.


2007/08/12 10:44:45  phil
Applied .pro file fix from Dirk Mueller to add a proper install rule.


2007/07/22 15:54:47  phil
Made sure that the backgound colour of areas of the widget with no text is
updated when QsciLexer.setDefaultPaper() is called.


2007/07/09 21:18:01  phil
Explicitly set the style for STYLE_DEFAULT when setting a lexer.


2007/06/30 18:41:59  phil
Merged Scintilla v1.74.


2007/06/30 16:55:45  phil
Fixed comment folding in the Bash lexer.
A style is properly restored when read from QSettings.
Removed ./Qsci from the qmake INCLUDEPATH.
Removed the Scintilla version number from generated filenames.
Used fully qualified enum names in the Python lexer so that the QMetaObject is
correct.


2007/06/01 18:09:56  phil
Released as v2.1.


2007/05/30 22:39:31  phil
Switched the internal build system to Qt v4.3.0.


2007/05/30 17:46:59  phil
Lexers now remember their style settings.  A lexer no longer has to be the
current lexer when changing a style's color, end-of-line fill, font or paper.
The color(), eolFill(), font() and paper() methods of QsciLexer now return the
current values for a style rather than the default values.
The setDefaultColor(), setDefaultFont() and setDefaultPaper() methods of
QsciLexer are no longer slots and no longer virtual.
The defaultColor(), defaultFont() and defaultPaper() methods of QsciLexer are
no longer virtual.
The color(), eolFill(), font() and paper() methods of all QsciLexer derived
classes (except for QsciLexer itself) have been renamed defaultColor(),
defaultEolFill(), defaultFont() and defaultPaper() respectively.


2007/05/28 19:36:27  phil
Set the number of style bits after we've set the lexer.


2007/05/28  9:37:03  phil
Fixed the handling of the %Timeline in the Python bindings.


2007/05/27 12:27:16  phil
Updated the sub-class convertor code in the Python bindings for the Cmake and
VHDL lexers.


2007/05/26 10:58:49  phil
Updated the NEWS file.
Released as v2.0.


2007/05/19 23:52:45  phil
Added basic input method support for Qt4 so that accented characters now work.
(Although there is still a font problem - at least a text colour problem.)


2007/05/19 16:54:26  phil
Fixed building against Qt v3.


2007/05/17 23:28:26  phil
Fixed an autocompletion problem where an empty list was being displayed.


2007/05/16 19:50:50  phil
Fixed a bug where autocompleting from the document was looking for preceeding
non-word characters as well.


2007/05/16 19:12:08  phil
Fixed silly typo that broke call tips.


2007/05/09 20:34:14  phil
Fiex an autocompletion bug for words that only had preceding whitespace.


2007/05/09 12:36:29  phil
Call tips shouldn't now get confused with commas in the text after the argument
list.
The included API files for Python should now be complete and properly exclude
anything beginning with an underscore.
The Python bindings configure.py can now install the API file in a user
supplied directory.


2007/05/09 10:37:39  phil
Ran lrelease on the project.


2007/05/09 10:36:04  phil
Updated the internal build system to Qt v4.3.0rc1.
Ran lupdate on the project.


2007/05/08 23:54:19  phil
Call tips will now show all the tips for a function (in all scopes) if the
current context/scope isn't known.


2007/05/08 15:04:08  phil
Added callTipsStyle() and setCallTipsStyle() to QsciScintilla.


2007/05/07 16:10:29  phil
Autocompletion from documents should now work the same as QScintilla v1.  The
only difference is that the list does not contain the preceding context so it
is consistent with autocompletion from APIs.


2007/05/07 10:10:16  phil
Added the Czech translations from Zdenek Bohm.


2007/04/30 15:13:26  phil
Added QsciScintilla::wordCharacters().


2007/04/29 17:14:36  phil
Added lots of consts to QsciScintilla getter methods.


2007/04/29 12:39:46  phil
Added caseSensitive() and isWordCharacter() to QsciScintilla.
Updated translations from Detlev.


2007/04/10 15:10:25  phil
Added the QsciLexerVHDL class.


2007/04/10 13:08:26  phil
Added the QsciLexerCmake class.


2007/04/09 23:12:52  phil
Finished call tip support.


2007/04/07 18:02:23  phil
Some refactoring in preparation for getting call tips working.


2007/04/06 15:06:28  phil
Fixed autoindenting.


2007/04/05 23:42:50  phil
Fixed autocompletion so that it works with lexers that don't define word
separators, and lexers that are case insensitive.


2007/04/04 21:04:13  phil
Fixed the horizontal scrollbar when word wrapping.


2007/04/03 16:15:20  phil
Merged Scintilla v1.73.


2007/03/18 21:39:02  phil
Switched the internal build system to Qt v4.2.3.
Added the D lexer support from Detlev.


2007/03/04 17:25:11  phil
Fixed a bug in default font handling.
Removed use of QIODevice::Text in the example as it is unnecessary and a
performance hog.
Moved the internal Qt3 build system to Qt v3.3.8.
Auto-indentation should now work (as badly) as it did with QScintilla v1.


2007/01/17 14:28:35  phil
Added defaultPreparedName() to QsciAPIs.


2007/01/17 12:51:43  phil
Fixed the Qt4 Designer plugin include file value.


2007/01/16 18:24:44  phil
Added cancelPreparation() and apiPreparationCancelled() to QsciAPIs.


2007/01/16 17:29:37  phil
Updated the copyright notices.
Added selectionToEol() and setSelectionToEol() to QsciScintilla.
Added the other 1.72 changes to the low level API.


2007/01/16 16:27:16  phil
Merged Scintilla v1.72, but any new features are not yet exploited.


2007/01/09  9:03:05  phil
Fixed bug in configure.py when the -p flag wasn't specified.


2007/01/04 10:42:23  phil
Backported to Qt v3.  Note that this will probably break again in the future
when call tips are redone.


2007/01/02 16:55:31  phil
Added the Python v2.4 and v2.5 API files.
Added the generation of the QScintilla2.api file.


2007/01/01 23:53:10  phil
Added autoCompletionFillupsEnabled() and setAutoCompletionFillupsEnabled() to
QsciScintilla.
Updated the Python bindings.


2007/01/01 20:54:41  phil
Implemented loadPrepared() and savePrepared() in QsciAPIs.
Added isPrepared() to QsciAPIs.
Updated the Python bindings.


2007/01/01 17:54:17  phil
Added installAPIFiles() and stubs for loadPrepared() and savePrepared() to
QsciAPIs.


2007/01/01 16:02:01  phil
Added the missing qsciapis.sip file.


2007/01/01 16:01:16  phil
Fixed the generation of the API documentation.
Added apis() and setAPIs() to QsciLexer.
Removed apiAdd(), apiClear(), apiLoad(), apiRemove(), apiProcessingStarted()
and apiProcessingFinished() from QsciLexer.
Added apiPreparationStarted() and apiPreparationFinished() to QsciAPIs.
Made QsciAPIs part of the API again.
Updated the Python bindings.


2006/12/20 14:33:50  phil
Updated the internal build system to Qt v4.2.2.
More work on auto-completion.


2006/11/26 12:47:36  phil
More work on the auto-completion code.


2006/11/22 12:24:20  phil
Changed the handling of case sensitivity in auto-completion lists.  Lexers now
say if they are case sensitive.


2006/11/17 18:20:43  phil
Fixed the name of the generated source packages.
Reorganised so that the header files are in a separate sub-directory.
Updated the designer plugins and examples for the changing in header file
structure.
More work on autocompletion. Basic functionality is there, but no support for
the "current context" yet.


2006/11/04 15:39:38  phil
Designer plugin fixes for Qt4 from DavidB.


2006/11/03 16:11:29  phil
Fixed QsciLexer::setPaper() so that it also sets the background colour of the
default style.


2006/10/21 14:04:10  phil
Switched the internal build system to Qt v3.3.7 and v4.2.1.
Portability fixes for Qt3.


2006/10/20 16:42:43  phil
Renamed the base package QScintilla2.
Platform portability fixes from Ulli.
The qsci data directory is now installed (where API files will be kept).


2006/10/13 19:46:36  phil
Added QsciScintilla::linesChanged() from Detlev.
Removed QsciScintilla::markerChanged().
Renamed the Brazilian Portugese translation files.


2006/10/13 16:29:33  phil
Added apiRemove(), apiProcessingStarted() and apiProcessingFinished() to
QsciLexer.


2006/10/08 17:06:53  phil
Reset the text and paper colours and font when removing a lexer.


2006/10/08  9:53:35  phil
Fixed Qt3 specific problem with most recent changes.


2006/10/06 17:52:02  phil
Made QsciAPIs an internal class and instead added apiAdd(), apiClear() and
apiLoad() to QsciLexer.
Replaced setAutoCompletionStartCharacters() with
setAutoCompletionWordSeparators() in QsciScintilla.
Removed autoCompletionFillupsEnabled(), setAutoCompletionFillupsEnabled(),
setAutoCompletionAPIs() and setCallTipsAPIs() from QsciScintilla.
Added AcsNone to QsciScintilla::AutoCompletionSource.
Horizontal scrollbars are displayed as needed in autocompletion lists.
Added QsciScintilla::lexer().
Fixed setFont(), setColor(), setEolFill() and setPaper() in QsciLexer so that
they handle all styles as documented.
Removed all occurences of QString::null.
Fixed the problem with indentation guides not changing when the size of a space
changed.
Added the QsciScintilla::markerChanged() signal.
Updated the Python bindings.


2006/10/01 16:57:31  phil
Fixed a silly line drawing bug.


2006/09/30 19:22:15  phil
Fixes for building on Windows and MacOS/X.


2006/09/29 16:01:00  phil
Fixed the documentation bug in QsciScintilla::insert().
Fixed the mouse shape changing properly.
Fixed the drawing of fold markers.


2006/09/23 22:53:46  phil
Improved the README for the pedants amongst us.


2006/09/23 19:01:27  phil
The Qt4 Designer plugin now loads - thanks to DavidB.


2006/09/16 17:22:26  phil
Fixed the Qt3 designer plugin.
Added the Qt4 designer plugin based on Andrius Ozelis's work. (But it doesn't
load for me - does anybody else have a problem?)


2006/09/09 18:00:27  phil
QsciScintilla's setFont(), setColor() and setPaper() now work as expected when
there is no lexer (and have no effect if there is a lexer).


2006/08/28 23:50:42  phil
Fixed a crash when double-clicking on an auto-completion list entry.


2006/08/27 17:22:47  phil
Merged Scintilla v1.71.
The SCN_DOUBLECLICK() signal now passes the line and position of the click.


2006/08/17 20:50:56  phil
Fixed pasting when Unicode mode is set.


2006/08/17 11:05:20  phil
Fixed the internal build system leaving SVN remnants around.


2006/07/30 17:19:44  phil
Added autoCompletionFillupsEnabled() and setAutoCompletionFillupsEnabled() to
QsciScintilla.
Don't auto-complete numbers.
Removed QsciCommandList.


2006/07/29 17:34:40  phil
Debugged the Qt3 backport - all seems to work.


2006/07/29 12:37:52  phil
The PyQt3 bindings now work.
Updated the documentation and build system for both Qt3 and Qt4.


2006/07/28 22:39:16  phil
Backed out the QsciTypes namespace now that the Qt3/4 source code has been
consolidated.


2006/07/28 18:26:25  phil
Integated the Qt3 and Qt4 source files.


2006/07/28 16:52:03  phil
The Qt3 port now compiles, but otherwise untested.


2006/07/28  1:50:31  phil
Changes to QsciMacro so that it has a more consistent API across Qt3 and Qt4.
Backported to Qt3 - doesn't yet build because Qt3 qmake doesn't understand the
preprocessor.


2006/07/27 15:28:27  phil
Updated the documentation.


2006/07/26 17:54:21  phil
Changed the build system to add the Python bindings.


2006/07/26 17:22:31  phil
Debugged the Python bindings - not yet part of the snapshots.


2006/07/26  0:20:47  phil
Ported the .sip files from v1.  (Not yet part of the snapshot.)


2006/07/25 18:34:24  phil
The .pro file should now work with both Qt v3 and v4.


2006/07/25 18:09:57  phil
Some file reorganisation for when the backport to Qt3 is done.


2006/07/25 17:52:41  phil
Moved the Scintilla API enums out of QsciScintillaBase and into the new
QsciTypes namespace.


2006/07/25 15:58:11  phil
Triple clicking now works.


2006/07/23 18:41:19  phil
Fixed incorrect selection after dropping text.


2006/07/23  2:37:13  phil
Dropping text seems (mostly) to work.


2006/07/22 19:01:13  phil
Scrollbars now work.
The context menu now works.
The clipboard and mouse selection now works.
Dragging to external windows now works (but not dropping).


2006/07/18 18:37:38  phil
Ported the rest of the API to Qt4.
Finished porting the example to Qt4.


2006/07/18  0:17:47  phil
More porting to Qt4 - just the lexers remaining.


2006/07/17 15:33:01  phil
Further Qt4 changes so that Q3Support is no longer needed.


2006/07/17 12:12:48  phil
Ported the auto-completion list implementation to Qt4.


2006/07/16 17:59:27  phil
Drawing now seems Ok.
Keyboard support now seems Ok.
Start of the mouse support.


2006/07/12 22:34:42  phil
Painting now seems to happen only within paint events - but incorrectly.


2006/07/12 19:07:32  phil
Recoded the implementation of surfaces so that painters are only active during
paint events.  Not yet debugged.


2006/07/12 16:15:37  phil
Recoded the handling of key presses so that it doesn't use any Qt3 specific
features and should be backported to QScintilla v1.  It also should work better
in Unicode mode.


2006/07/11 20:20:00  phil
Whole raft of changes starting QScintilla2.


2006/07/09 15:26:26  phil
Updated translations from Detlev.


2006/07/08 19:24:04  phil
Added QextScintilla::isCallTipActive().


2006/07/08 15:28:11  phil
Changed the autoindentation to be slightly cleverer when handling Python.  If a
lexer does not define block end words then a block start word is ignored unless
it is the last significant word in a line.


2006/07/02 16:19:16  phil
Possibly fixed a possible problem with double clicking under Windows.


2006/07/02 14:27:26  phil
Added setWrapVisualFlags(), WrapMode::WrapCharacter, WrapVisualFlag to
QextScintilla.
The layout cache is now set according to the wrap mode.
Setting a wrap mode now disables the horizontal scrollbar.


2006/07/01 18:52:37  phil
Added cancelList(), firstVisibleLine(), isListActive(), showUserList(),
textHeight() and userListActivated() to QextScintilla.


2006/07/01 16:49:53  phil
Auto-completion changed so that subsequent start characters cause the list to
be re-created (containing a subset of the previous one).


2006/06/28 22:12:23  phil
Handle Key_Enter the same as Key_Return.
QextScintilla::foldAll() can now optionally fold all child fold points.
Added autoCompleteFromAll() and setAutoCompletionStartCharacters() to
QextScintilla.
Vastly improved the way auto-completion and call tips work.


2006/06/25 23:51:44  phil
The default fore and background colours now default to the application palette
rather than being hardcoded to black and white.


2006/06/25 21:51:58  phil
Added defaultColor() and setDefaultColor() to QextScintillaLexer.
Added color() and setColor() to QextScintilla.
Renamed eraseColor() and setEraseColor() to paper() and setPaper() in
QextScintilla.


2006/06/25 16:21:02  phil
Added a couple of extra SendScintilla overloads. One is needed for PyQt because
of the change in SIP's handling of unsigned values. The other is needed to
solve C++ problems caused by the first.
Autocompletion list entries from APIs may now contain spaces.
Added defaultPaper() and setDefaultPaper() to QextScintillaLexer.
Added eraseColor() and setEraseColor() to QextScintilla.


2006/06/21 22:41:28  phil
Removed QextScintillaLexer::styleBits() now that SCI_GETSTYLEBITSNEEDED is
available.


2006/06/21 14:39:50  phil
QextScintilla::setSelectionBackgroundColor(),
QextScintilla::setMarkerBackgroundColor() and
QextScintilla::setCaretLineBackgroundColor() now respect the alpha component.


2006/06/20 16:02:08  phil
Merged Scintilla v1.70.


2006/06/19 21:02:01  phil
Significant, and incompatible, updates to the QextScintillaLexerRuby class.


2006/06/19 15:56:38  phil
Fix for qsort helpers linkage from Ulli.  (Patch sent upstream.)


2006/06/18 23:50:33  phil
Ctrl-D is now duplicate selection rather than duplicate line.
Updated the Python lexer to add support for hightlighted identifiers and
decorators.


2006/06/18 16:41:17  phil
Added the Scintilla 1.69 extensions to the low level API.


2006/06/18 14:51:41  phil
Removed the redundant .repoman file.
Synced with Scintilla v1.69 with only the minimal changes needed to compile it.


2006/06/18 13:02:16  phil
Minor repairs to the .srepo control file from the move to SVN.


2006/03/21 16:45:54  phil
Added a multi-byte character fix to QextScintilla::posFromLineIndex() from
Dandrea Francesco.


2006/03/11 19:15:56  phil
Changed the internal build system to use Qt v3.3.6.


2005/12/12 17:10:15  phil
Fixed the second occurance of the autoindenting bug.
Send context menu events (rather than execute the handler directly) so that
they can be filtered.


2005/11/03 22:39:10  phil
Fixed the leak of the standard command set when a QextScintilla instance is
destroyed.


2005/09/24 11:14:26  phil
Fixed a bug in autoindenting with AiOpening and AiClosing.


2005/09/19 16:59:01  phil
QextScintilla now disables mouse captures in it's ctor.  This appeared to cause
problems on multi-head systems (and Qt should do the right thing anyway).


2005/09/13 19:53:04  phil
Fixed bug in drawing a filled rectangle without setting the pen.  This caused
the fold margin to have a border after a marker had been drawn.


2005/08/30 16:29:57  phil
Released as v1.6.


2005/08/21 18:22:05  phil
Updated translations from Detlev.


2005/08/12 17:55:39  phil
Updated the Brazilian Portuguese and French translations.
Added an install target to the project file.


2005/08/10 21:52:38  phil
Added the QextScintillaLexerBatch class from Detlev.
Added the Brazilian Portuguese translations from Douglas Soares de Andrade.
Changed the default fonts for all lexers to match those used in current
versions of SciTE.


2005/08/08 20:55:49  phil
Completed the merge of Scintilla v1.65.


2005/07/27 20:45:46  phil
Updated French translations from Jul Vienne.


2005/07/27 17:32:53  phil
Updated translations from Detlev.


2005/07/26 19:49:39  phil
Added Detlev's latest translations.


2005/07/26 11:08:01  phil
Added the QextScintillaLexerDiff, QextScintillaLexerMakefile and
QextScintillaLexerProperties classes.


2005/07/24 17:11:51  phil
Added the QextScintillaLexerCSS and QextScintillaLexerTeX classes.


2005/07/20 17:04:47  phil
Added some comments about the confusing interpretation of KEYWORDSET_MAX.


2005/07/19 20:45:27  phil
Added the new German translations from Detlev.
Fixed a bug in the handling of keyword sets.


2005/07/10 11:05:35  phil
Applied the two focus fixes from Harri Porten.


2005/07/09 17:55:05  phil
Updated QextScintillaLexerSQL for Scintilla v1.64.


2005/07/06 17:47:13  phil
Added the missing #includes.
Completed the QextScintillaLexerPOV class.


2005/07/05 21:05:31  phil
Added the extra flag to QextScintilla::findFirst().
Started QextScintillaLexerPOV - not yet finished.


2005/07/04 19:18:08  phil
Added all the new v1.63 and v1.64 functionality.


2005/07/04 17:28:32  phil
Now compiles and runs.


2005/07/03 20:59:01  phil
Resolved all the CVS conflicts from merging Scintilla 1.64. Almost certain not
to compile yet.


2005/03/11 19:21:56  phil
Updated French translations from Jul Vienne.


2005/03/06 10:05:56  phil
Released as v1.5.1.


2005/02/20 08:48:49  phil
Added updated German translations from Detlev.


2005/02/19 15:18:55  phil
Added the QextScintillaLexerLua class.
Released as v1.5.


2005/02/11 22:53:09  phil
Updated the NEWS file.


2005/01/22 00:28:28  phil
Tidy up properly when destroying a QScintilla instance.


2005/01/21 17:36:26  phil
Restored the missing translation files.


2005/01/21 17:30:35  phil
Fixed bug where the widget would shrink if a scrollbar was hidden.
Added the QextScintillaBase::viewport() and QextScintillaBase::startDrag()
methods.


2005/01/14 17:34:23  phil
Updated the copyright notices.
Changes to the internal build system and to the code so that it builds with the
Borland compiler.


2005/01/05 06:54:01  phil
Updated translations from Detlev.


2004/12/26 12:31:18  phil
Added the QextScintillaLexerRuby class.


2004/10/31 16:32:17  phil
Completed the merge of Scintilla v1.62. It builds, but is otherwise untested.


2004/09/18 17:31:23  phil
Added the port of the Qt application example.


2004/09/16 08:26:31  phil
Released as v1.4.


2004/09/14 07:43:58  phil
Added French translations from Julien Vienne.


2004/09/13 17:33:54  phil
Updated the German translations from Detlev.
Probably fixed (ie. hacked) the AltGr support under Windows.


2004/09/12 15:15:31  phil
Changed the implementation of QextScintilla::isModified() to work around an
apparent bug in Scintilla.


2004/09/12 11:41:21  phil
Added the QextScintillaLexerBash class.


2004/08/25 15:34:05  phil
Added the Qt Designer plugin.
Fixed the Russian translations.


2004/08/22 15:41:59  phil
Added insert(), edgeColor(), setEdgeColor(), edgeColumn(), setEdgeColumn(),
edgeMode(), setEdgeMode(), wrapMode(), setWrapMode(),
resetSelectionBackgroundColor() and resetSelectionForegroundColor() to
QextScintilla.
Added clearKeys() and clearAlternateKeys() to QextScintillaCommandSet.


2004/07/03 14:46:33  phil
Merged Scintilla v1.61.
Added Russian translations from Alexander Daroksky.


2004/05/09 10:30:31  phil
Changed the build system so that the platform name is no longer included in the
package filename.
Released as v1.3.


2004/05/02 00:36:46  phil
Completed the merge of Scintilla v1.60.


2004/04/27 17:57:39  phil
Fixed potential buffer overflow problem in QextScintilla::text(int line).


2004/04/24 20:12:38  phil
Fixed a bug with autocompleting from the current document.


2004/04/24 09:01:37  phil
Added README.MacOS which includes the required patch to Qt v3.3.2 and earlier
versions.
Updated the NEWS file.


2004/04/18 13:35:06  phil
Fixed up the internal mini-editor test application.
Fixed the problem preventing QextScintillaDocument being usable on Windows.


2004/04/14 18:24:29  phil
Added new German translations from Detlev.
Fixed problem with losing double-clicks on Windows.
Fixed the copyright notices.


2004/04/12 19:13:52  phil
Some changes for Windows - still doesn't build there though.


2004/04/12 14:49:01  phil
Added the QextScintillaLexerPerl class.
Lexers can now provide a specific set of word characters.


2004/04/07 21:02:00  phil
Changed the implementation of the Copy() method when doing double buffered
drawing.  It is now faster and, hopefully, has fixed the redraw bug on X11 (and
might also make a difference on MacOS/X).
The read-only flag only applies to user input and not program changes (to mimic
QTextEdit).


2004/04/04 16:59:56  phil
Added the QextScintillaDocument class.
Added pool() to QextScintillaBase.
Added document() and setDocument() to QextScintilla.


2004/03/28 15:16:26  phil
Renamed QextScintilla.setCaretColor() to setCaretForegroundColor().
Added recolor(), setCaretWidth(), setCaretLineVisible() and
setCaretLineBackgroundColor() to QextScintilla.
Added STYLE_MAX to QextScintillaBase.


2004/03/27 18:25:28  phil
Added setCaretColor(), setSelectionForegroundColor() and
setSelectionBackgroundColor() to QextScintilla.


2004/03/22 18:53:41  phil
Fixed QextScintilla.textChanged() so that it really is emitted only when text
has been inserted or deleted.


2004/03/22 17:51:14  phil
Fixed bug in auto-completion using the current document.
Fixed bug in dropping text into a UTF8 document.
Some other tidy ups to drag'n'drops.


2004/03/21 20:47:56  phil
Updated the default command set to match Scintilla v1.59.
Now builds successfully, but otherwise untested.


2004/03/20 18:50:39  phil
Added INDIC_BOX.
Added SC_SEL_*.
Added the SCI_SETSELECTIONMODE, SCI_GETSELECTIONMODE,
SCI_GETLINESELSTARTPOSITION, SCI_GETLINESELENDPOSITION, SCI_LINEDOWNRECTEXTEND,
SCI_LINEUPRECTEXTEND, SCI_CHARLEFTRECTEXTEND, SCI_CHARRIGHTRECTEXTEND,
SCI_HOMERECTEXTEND, SCI_VCHOMERECTEXTEND, SCI_LINEENDRECTEXTEND,
SCI_PAGEUPRECTEXTEND, SCI_PAGEDOWNRECTEXTEND, SCI_STUTTEREDPAGEUP,
SCI_STUTTEREDPAGEUPEXTEND, SCI_STUTTEREDPAGEDOWN, SCI_STUTTEREDPAGEDOWNEXTEND,
SCI_WORDLEFTEND, SCI_WORDLEFTENDEXTEND, SCI_WORDRIGHTEND,
SCI_WORDRIGHTENDEXTEND, SCI_SETWHITESPACECHARS, SCI_SETCHARSDEFAULT,
SCI_AUTOCGETCURRENT, SCI_ALLOCATE functions.
Added the SCLEX_CLW, SCLEX_CLWNOCASE, SCLEX_LOT, SCLEX_YAML, SCLEX_TEX,
SCLEX_METAPOST, SCLEX_POWERBASIC, SCLEX_FORTH, SCLEX_ERLANG, SCLEX_OCTAVE,
SCLEX_MSSQL, SCLEX_VERILOG lexers.


2004/03/20 13:33:14  phil
Changes to the internal build system to use repo rather than repoman.
Merged Scintilla v1.59.  (Not tested at all - probably won't compile.)


2003/08/16 20:46:15  phil
Released as v1.2.


2003/08/12 14:56:05  phil
Merged Scintilla v1.54.
Changed the library version to 3.0.0.


2003/08/12 12:25:19  phil
Added the internal TODO file.


2003/05/23 07:22:15  phil
Updated the documentation.
Released as v1.1.


2003/05/20 10:37:03  phil
Updated translations from Detlev.
Added QextScintilla::modificationAttempted().


2003/05/16 21:30:45  phil
Merged Scintilla v1.53.
Added GlobalClass as a style of the C++ lexer (using keyword set 4).
Added foldAtElse() and setFoldAtElse() to QextScintillaLexerCPP.


2003/05/16 11:34:27  phil
Added QextScintillaBase::SCN_MODIFYATTEMPTRO.


2003/05/11 10:26:11  phil
Increased the maximum number of keyword sets to match Scintilla.
Changed references to WhiteSpace in lexers to Default (but kept WhiteSpace for
backwards compatibility).
By default the C++ lexer now folds preprocessor blocks (to match the default
SciTE properties file rather than the code).
Hopefully fixed auto-completion lists and call tips under Windows without
breaking them under X11.
Added the QextScintillaLexerHTML class.
Fixed bug where abandoned paints weren't handled properly.


2003/05/07 22:07:22  phil
Fixed the window decorations for auto-completion lists and call tips under
Windows.


2003/05/07 16:52:11  phil
Added the QextScintillaLexerSQL class.
Changed the library version number to 1.1.0.


2003/05/03 14:26:31  phil
Fixed a bug when trying to paste an empty clipboard.
Changed the library version to 1.0.1.


2003/04/26 13:59:53  phil
Updated German translations from Detlev.
Released as v1.0.


2003/04/18 22:20:13  phil
Merged Scintilla v1.52.
Added QextScintillaLexer.setDefaultFont().
Added setCallTipsForegroundColor() and setCallTipsHighlightColor() to
QextScintilla.
Changed QextScintilla.setCallTipsVisible() to interpret a negative argument as
meaning display call tips one at a time with scrolling arrows.


2003/04/13 15:11:07  phil
Foxed a documentation bug in QextScintilla.setCallTipsVisible().
Made sure that call tips are unique.


2003/04/07 11:52:00  phil
Ensured that the current item of an auto-completion list is always visible.
Fixed QextScintilla::append().
Call tips and auto-completion lists should now be non-modal.


2003/04/01 20:41:55  phil
Added the missing educational license files.


2003/04/01 20:40:50  phil
Added support for the educational version.
Fixed a few Windows build problems.


2003/03/22 16:44:11  phil
Updated German translations from Detlev.


2003/03/16 16:23:47  phil
Fully implemented the high level API to macros.
Re-ordered the default command table.


2003/03/15 23:41:40  phil
Added the QextScintillaCommand, QextScintillaCommandSet and QextScintillaMacro
classes.  (The latter is not yet fully implemented.)
Added QextScintilla.standardCommands().
Brought the documentation up to date.


2003/03/14 19:48:48  phil
Fixed another Windows compile problem.
Control characters are now passed properly to Scintilla so that they can be
recognised as command keys.


2003/03/13 12:59:10  phil
Added QextScintillaAPIs.add().
The caret is now displayed when either a call tip or auto-completion list is
displayed.
Fully implemented the high level API to call tips.
Fixed bug compiling against Qt v3.0.x.


2003/03/09 18:36:46  phil
Removed the DBCS functions as QScintilla doesn't support DBCS.
Minor portability fixes for Windows.
The high level API auto-completion methods are now fully implemented.


2003/03/06 10:37:27  phil
Added QextScintilla.AutoCompletionSource, QextScintilla.autoCompleteFromAPIs(),
QextScintilla.autoCompleteFromDocument(), QextScintilla.autoCompletionSource(),
QextScintilla.autoCompletionThreshold(), QextScintilla.setAutoCompletionAPIs(),
QextScintilla.setAutoCompletionSource(),
QextScintilla.setAutoCompletionThreshold().  Note that these are just hooks and
haven't yet been implemented.


2003/03/03 18:04:52  phil
The low-level APIs to call tips and autocompletion lists should now work.
Added the QextScintillaAPIs class.


2003/03/01 14:46:48  phil
Added missing #include of stdlib.h.


2003/03/01 09:21:20  phil
Fixed compile problem for Qt v3.0.x.


2003/02/27 16:19:52  phil
Updated dates on the copyright notices.


2003/02/26 23:41:23  phil
Merged Scintilla v1.51.
Added QextScintilla.resetFoldMarginColors() and
QextScintilla.setFoldMarginColors().


2003/02/26 19:30:25  phil
Updated to Scintilla v1.50.
Added the QextScintillaBase.SendScintilla() overload that takes a QPixmap *.
SCI_MARKERDEFINEPIXMAP now takes a pointer to a QPixmap instance rather than a
pointer to raw or textual XPM image data.
QextScintilla.markerDefine() now takes a QPixmap rather than an XPM image.
Added QSCINTILLA_VERSION, QSCINTILLA_VERSION_STR and QSCINTILLA_BUILD.
Added QextScintilla.WrapMode, QextScintillaPrinter.setWrapMode() and
QextScintillaPrinter.wrapMode().


2003/01/20 09:04:46  phil
Minor tweak to build properly under IRIX.
Added QextScintilla.lineAt().


2002/12/25 10:47:33  phil
Added QextScintilla.ensureCursorVisible().


2002/12/17 13:19:42  phil
Added the QextScintillaBase::SendScintilla() overload that hides the Scintilla
RangeToFormat structure.
Added the QextScintillaPrinter class.
Changed the low level implementation of a Scintilla Surface to be a QPainter
with an attached QPaintDevice rather than a QPaintDevice.  This allows the
printing code to have complete control over the QPainter.


2002/12/16 11:14:48  phil
Fixed a bug entering double-byte encoded characters in UTF-8 mode.


2002/12/15 18:31:45  phil
Fix a crash when pasting an empty string.


2002/12/11 13:48:02  phil
Released as v0.3.


2002/12/07 14:01:09  phil
Brought the documentation up to date.
Minor changes needed to build properly under Windows.
Changed the default fonts under Windows to match the SciTE ones.


2002/12/01 22:27:47  phil
Added drag'n'drop support.


2002/11/26 12:47:38  phil
Fixed bug in selectToMatchingBrace() and moveToMatchingBrace() in
QextScintilla.
Added the QextScintilla.markerDefine() overload that handles XPM pixmaps.


2002/11/22 22:42:37  phil
Added Detlev's support for different folding styles.
Added the QextScintillaBase.SendScintilla() overload that handles colours.


2002/11/21 18:56:37  phil
Fixed the value of QextScintilla.AiClosing.
Added braceMatching(), setBraceMatching(), moveToMatchingBrace(),
selectToMatchingBrace(), setMatchedBraceBackgroundColor(),
setMatchedBraceForegroundColor(), setUnmatchedBraceBackgroundColor,
setUnmatchedBraceForegroundColor() to QextScintilla.
Fixed the default lexer colours so that they match SciTE.


2002/11/18 19:35:19  phil
Added the binary versions of the translations to CVS so that the build machine
doesn't need Qt installed.
Added the QextScintillaBase.SendScintilla() that allows messages that need a
TextRange structure to be handled.
Added autoIndentStyle() and setAutoIndentStyle() to QextScintillaLexer.
Added autoIndent() and setAutoIndent() to QextScintilla.


2002/11/14 22:30:51  phil
Added full i18n support and German translations (thanks to Detlev of course).
Minor fixes for building under Windows.


2002/11/13 20:25:28  phil
Fixed QextScintilla::indent() and QextScintilla::unindent().
Removed QextScintillaBase::setScintillaProperty() (the SCI_SETPROPERTY message
should be used instead).
Added another QextScintillaBase::sendScintilla() overload to make using
SCI_SETPROPERTY easier to use.
Added convertEols(), eolMode(), setEolMode(), eolVisibility(),
setEolVisibility(), whitespaceVisibility(), setWhitespaceVisibility() to
QextScintilla.
Added foldComments(), setFoldComments(), foldQuotes(), setFoldQuotes(),
indentationWarning(), setIndentationWarning() to QextScintillaLexerPython.
Added foldComments(), setFoldComments(), foldCompact(), setFoldCompact(),
foldPreprocessor(), setFoldPreprocessor(), stylePreprocessor(),
setStylePreprocessor() to QextScintillaLexerCPP.
Added support for case insensitive keywords to QextScintillaLexerCPP.
Added various methods to transparently handle lexer properties including
reading and writing them from and to settings files.
Fixed the handling of the context menu.


2002/11/03 20:17:03  phil
Updated to Scintilla v1.49.
Fixed bugs in end-of-line fill settings in QextScintillaLexer.
Fixed bugs in UTF support (thanks to Nickolay Kolchin-Semyonov).
Added isUtf8() and setUtf8() to QextScintilla.
Removed SCN_MODIFYATTEMPTRO as it is now deprecated.


2002/10/25 18:59:58  phil
Added QextScintilla::lines().
Fixed a copy/paste bug.
Removed the incorrect fix for the Scintilla indentation guides bug and worked
around it, rather than fixing it properly.


2002/10/24 08:41:54  phil
Added foldAll(), folding() and setFolding() to QextScintilla.
Added setScintillaProperty() to QextScintillaBase.
Released as v0.2.


2002/10/23 17:26:44  phil
Fixed a Scintilla bug where indentation guides were being displayed incorrectly
when indentations didn't use tabs.
Fixed pasting from the clipboard.


2002/10/22 21:27:39  phil
Added cursorPositionChanged(), replace(), zoomIn(), zoomOut() and zoomTo() to
QextScintilla.
Fixed some bugs in QextScintilla::findFirst().


2002/10/21 21:26:53  phil
Added findFirst(), findNext(), removeSelectedText(), getCursorPosition(),
beginUndoAction(), endUndoAction(), redo(), undo(), isRedoAvailable(),
isUndoAvailable() and the text() overload to QextScintilla.


2002/10/20 21:59:44  phil
Added backspaceDeindents(), setBackspaceDeindents(), tabIndents(),
setTabIndents(), tabWidth(), setTabWidth(), indent(), unindent(),
indentation(), setIndentation(), indentationWidth(), setIndentationWidth(),
indentationsUseTabs(), setIndentationsUseTabs() to QextScintilla.
Made some changes to the clipboard management, but more work is still needed.


2002/10/19 18:41:23  phil
Added clear(), copy(), copyAvailable(), cut(), getSelection(),
hasSelectedText(), indentationGuides(), insertAt(), paste(), selectAll(),
selectedText(), selectionChanged(), setCursorPosition(),
setIndentationGuides(), setIndentationGuidesBackgroundColor(),
setIndentationGuidesForegroundColor() setSelection() to QextScintilla.
Added QSCN_SELCHANGED() to QextScintillaBase.


2002/10/18 17:29:06  phil
Added the QextScintillaLexerCPP, QextScintillaLexerCSharp,
QextScintillaLexerIDL, QextScintillaLexerJava and QextScintillaLexerJavaScript
classes.
Fixed incorrect font defaults for the Python lexer.


2002/10/12 23:44:51  phil
Fixed the QextScintilla::marginClicked() signature and changed it to pass the
line number rather than the pixel position.
Added mouse wheel support from Detlev.
Setting the lexer no longer resets all the styles.
The cursor shape now changes when moved across the text area and margins.
Added ensureLineVisible(), setMarginsBackgroundColor(),
setMarginsForegroundColor(), setMarginsFont() and the overloaded
setMarginWidth() to QextScintilla.
Changed the visible policy to match SciTE's default.


2002/10/11 14:14:19  phil
Added the end-of-line fill as a lexer stype options to the high-level API.
Fixed the default Python styles so that they are the same as SciTE (at least on
UNIX).
Fixed the bug that left cursor artefacts lying around.


2002/10/06 16:00:05  phil
Removed QextScintillaBase::Colourise().
Added QextScintillaLexer and QextScintillaLexerPython.


2002/10/05 13:33:23  phil
Documented margins and markers.
Added support for margins and markers to QextScintilla.


2002/10/03 10:45:34  phil
Fixed the README regarding building as a static library.
QextScintilla::append() behaves more like QTextEdit::append().
Added setText(), text(), textChanged(), isReadOnly(), setReadOnly(),
isModified(), setModified(), modificationChanged() and length() to
QextScintilla.
More documentation.


2002/10/01 17:37:10  phil
Changes required to build under Windows.


2002/09/30 15:31:10  phil
Added the QextScintillaBase::SendScintilla() overload to make it easier to pass
strings from PyQt.


2002/09/28 08:56:05  phil
Added the doxygen configuration file.
The internal build system now creates the doxygen documentation.
The original Scintilla documentation is now installed in a sub-directory of the
doc directory.
Added QextScintillaBase::Colourise().


2002/09/18 14:46:34  phil
Released as v0.1.


2002/09/18 08:35:31  phil
Changed the re-implemented protected methods in QextScintillaBase so that they
are like the rest of Qt.


2002/09/17 18:17:41  phil
The context menu now works.
Key presses are now handled.
Focus changes are now handled.
Added all the installation/licensing infrastructure.


2002/09/17 11:08:34  phil
The mouse handling now seems to be correct.
The context menu is displayed, but none of the options yet do anything.


2002/09/16 18:53:31  phil
Scrollbars now seem to be working.


2002/09/16 08:09:40  phil
Further refined the low-level API so that it is as close as possible to the
standard Scintilla API.


2002/09/16 00:35:44  phil
Completed the implementation of the low-level API (ie. QextScintillaBase).
Disabled INCLUDE_DEPRECATED_FEATURES for the Qt port and fixed the bugs in the
main code that appear as a consequence.


2002/09/15 19:00:10  phil
Fixed the paint event handling - we now seem to have a basically working
editor.


2002/09/14 21:49:56  phil
Added the start of the Qt port, including a simple test editor.  As yet nothing
works, but everything compiles.

